<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
   <f:view>
        <h:head>
             <title>Cadastrar Tarefa</title>
        </h:head>
        <h:body>
            <div class="card">
                <h2>Cadastro de Tarefa</h2>
                <h:form>
                    <h:panelGrid columns="2">
                        <h:outputLabel for="titulo" value="Título:" />
                        <h:inputText id="titulo" value="#{esigBean.task.title}" required="true" />

                        <h:outputLabel for="descricao" value="Descrição:" />
                        <h:inputTextarea id="descricao" value="#{esigBean.task.description}" rows="4" cols="30" />

                        <h:outputLabel for="responsavel" value="Responsável:" />
                        <h:selectOneMenu id="responsavel" value="#{esigBean.task.responsible}">
                            <f:selectItem itemValue="joao" itemLabel="João" />
                            <f:selectItem itemValue="maria" itemLabel="Maria" />
                            <f:selectItem itemValue="pedro" itemLabel="Pedro" />
                        </h:selectOneMenu>

                        <h:outputLabel for="prioridade" value="Prioridade:" />
                        <h:selectOneMenu id="prioridade" value="#{esigBean.task.priority}">
                            <f:selectItem itemValue="baixa" itemLabel="Baixa" />
                            <f:selectItem itemValue="media" itemLabel="Média" />
                            <f:selectItem itemValue="alta" itemLabel="Alta" />
                        </h:selectOneMenu>

                        <h:outputLabel for="deadline" value="Deadline:" />
                        <h:inputText id="deadline" value="#{esigBean.task.deadline}" required="true">
                            <f:convertDateTime pattern="yyyy-MM-dd" />
                        </h:inputText>
                    </h:panelGrid>

                    <h:commandButton value="Cadastrar" action="#{esigBean.createTask()}" />
                </h:form>
            </div>
        </h:body>
   </f:view>
</html>
